Skip to main content
GET
cURL

Authorizations

Authorization
string
header
default:$CARTESIA_API_KEY
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Query Parameters

purpose
enum<string>

Only return files uploaded with this purpose. What a file is used for.

Available options:
agent_background_sound,
fine_tune,
tts_generation,
voice-clone
q
string

Only return files whose filename contains this substring.

Example:

"background"

limit
integer | null

The number of files to return per page, ranging between 1 and 100.

Example:

10

starting_after
string | null

A cursor for pagination. starting_after is a file ID; the response returns the page of files after it.

Example:

"file_EneDabCuJCpfe5CFi5X12e"

ending_before
string | null

A cursor for pagination. ending_before is a file ID; the response returns the page of files before it.

Response

200 - application/json

Paginated list of files.

data
File · object[]
required

List of file objects.

has_more
boolean
required

Whether there are more files available.

Example:

false